Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class Helper

    java.lang.Object
      |
      +--weblogic.management.Helper

public final class Helper
extends java.lang.Object

A utility class that simplifies acquiring the MBeanHome object for either the entire adminstrative domain or for a particular managed server.

The URL that is specified is used to acquire the JNDI InitialContext from which the MBeanHome will be acquired.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `MBeanHome`, `weblogic.jndi.Environment#setProviderURL`

Constructor Summary
`Helper()`

Method Summary
`static MBeanHome` | `getAdminMBeanHome(java.lang.String user, java.lang.String password, java.lang.String adminServerURL)` Returns the MBeanHome for the entire administrative domain.
`static MBeanHome` | `getMBeanHome(java.lang.String user, java.lang.String password, java.lang.String serverURL, java.lang.String serverName)` Returns the regular MBeanHome of the server specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Helper

    public Helper()

Method Detail

### getAdminMBeanHome

    public static final MBeanHome getAdminMBeanHome(java.lang.String user,
                                                    java.lang.String password,
                                                    java.lang.String adminServerURL)
                                             throws java.lang.IllegalArgumentException

  Returns the MBeanHome for the entire administrative domain. This differs from the getMBeanHome method which returns the MBeanHome for a particular server instance.

  Parameters:
    `user` - the id for a user which has authorization to find the MBeanHome on the admin server
    `password` - for the specified user
    `adminServerURL` - The URL used to acquire the InitialContext
  Returns:
    The MBeanHome for the entire administrative Domain
  Throws:
    java.lang.IllegalArgumentException - if any of the arguments are null or invalid

### getMBeanHome

    public static final MBeanHome getMBeanHome(java.lang.String user,
                                               java.lang.String password,
                                               java.lang.String serverURL,
                                               java.lang.String serverName)
                                        throws java.lang.IllegalArgumentException

  Returns the regular MBeanHome of the server specified.

  Parameters:
    `user` - the id for a user which has authorization to find the MBeanHome on the admin server
    `password` - for the specified user.
    `serverName` - name of the target server as defined in the domain configuration.
    `serverURL` - the URL used to acquire the InitialContext. The URL must either be that of the Adminstration server or the managed server that is specified in the serverName
  Returns:
    The MBeanHome for the serverName specified.
  Throws:
    java.lang.IllegalArgumentException - if any of the arguments are null or invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD